Subject: Re: Please add powerpc topic/cxl branch to linux-next

From: Stephen Rothwell <[email-masked]>
Date: Tue, 18 Mar 2025 00:26:43 +1100

Hi Michael,

On Mon, 17 Mar 2025 22:09:43 +1100 Michael Ellerman <[email-masked]> wrote:
>
> Could you please add the topic/cxl branch of the powerpc tree to
> linux-next for the next few weeks, it's targeted for the next merge
> window.
> 
>   https://web.git.kernel.org/pub/scm/linux/kernel/git/powerpc/linux.git/log/?h=topic/cxl

Translated to git://git.kernel.org/pub/scm/linux/kernel/git/powerpc/linux.git#topic/cxl

:-)

> It contains a topic branch of sorts to hold the cxl removal. It has a
> few commits from the SCSI tree, up to and including the cxlflash
> removal, then it merges powerpc/fixes to get a Documentation/ patch that
> touches cxl, and then the cxl removal patch from Andrew.
> 
> The plan will be to send it to Linus after the powerpc and SCSI trees
> have been merged, during the merge window.

OK, added from later today.  I have added it late in the merges.  Let me
know when you are finished with it.

Thanks for adding your subsystem tree as a participant of linux-next.  As
you may know, this is not a judgement of your code.  The purpose of
linux-next is for integration testing and to lower the impact of
conflicts between subsystems in the next merge window. 

You will need to ensure that the patches/commits in your tree/series have
been:
     * submitted under GPL v2 (or later) and include the Contributor's
        Signed-off-by,
     * posted to the relevant mailing list,
     * reviewed by you (or another maintainer of your subsystem tree),
     * successfully unit tested, and 
     * destined for the current or next Linux merge window.

Basically, this should be just what you would send to Linus (or ask him
to fetch).  It is allowed to be rebased if you deem it necessary.

-- 
Cheers,
Stephen Rothwell 
[email-masked]